# IAttributeValueHelper Struct Reference

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | GetPreviousValue (int32 paramIndex, TParamHolder *&outValue)=0
virtual void MCCOMAPI | GetCurrentValue (int32 paramIndex, TParamHolder *&outValue)=0
virtual boolean MCCOMAPI | ApplyLocalControllersToInternalValue (boolean invert, TParamHolder &inoutValue)=0
virtual void MCCOMAPI | CheckValueRange (TParamHolder &inoutValue)=0

## Member Function Documentation

virtual boolean MCCOMAPI IAttributeValueHelper::ApplyLocalControllersToInternalValue | ( | boolean | invert,
|  | TParamHolder & | inoutValue |
| ) |  |  | `[pure virtual]`

Apply the local controller to the internal values of a controller.

Parameters:

  | invert | If true apply the controllers in invert mode calling ComputeAttributeForWrite instead of ComputeAttributeForRead.
  | inoutValue | The current internal value for the current parameter that will be modified by the local controllers.

Returns:
  true if the out value is valid.

virtual void MCCOMAPI IAttributeValueHelper::CheckValueRange | ( | TParamHolder & | inoutValue | ) | `[pure virtual]`

Check the range of the parameter value.

Parameters:

  | inoutValue | The current value for the current parameter.

virtual void MCCOMAPI IAttributeValueHelper::GetCurrentValue | ( | int32 | paramIndex,
|  | TParamHolder *& | outValue |
| ) |  |  | `[pure virtual]`

Gets the value of a parameter. It is the value of the parameter after applying the current controller or sub controller to it.

Parameters:

  | paramIndex | The parameter index.
  | outValue | Returns value (can be NULL if the param is not supported)

virtual boolean MCCOMAPI IAttributeValueHelper::GetPreviousValue | ( | int32 | paramIndex,
|  | TParamHolder *& | outValue |
| ) |  |  | `[pure virtual]`

Gets the previous value of a parameter. It is the value of the parameter before applying the current controller or sub controller to it.

Parameters:

  | paramIndex | The parameter index.
  | outValue | Returns value (can be NULL if the param is not supported)

Returns:
  True if the previous value does not exist (ie. the current value is the first value for the parameter).

The documentation for this struct was generated from the following file:

- I3DExAttributesSetControler.h